<template>
  <div id="profile-view">
    <div class="container">
      <ul class="profile-nav">
        <li v-for="(page, ind) in pages"  @click="goToPage(ind + 1)">
          <div :class="{'active': activePage === (ind + 1).toString()}">
            {{page}}
          </div>
        </li>
      </ul>
      <div class="profile-content">
        <info v-if="activePage === '1'"></info>
        <orders v-if="activePage === '2'"></orders>
      </div>
    </div>
  </div>
</template>
<script>
import Orders from '@/components/orders/Orders';
import Info from '@/components/profile/Info';
export default {
  data() {
    return {
      pages: ['Информация', 'Заказы'],
      activePage: '1'
    }
  },
  methods: {
    goToPage(page) {
      this.activePage = page.toString();

      let query = JSON.parse(JSON.stringify(this.$route.query));
      query.page = this.activePage;
      this.$router.push({path: this.$route.path, query});
    }
  },
  mounted() {
    if (this.$route.query.page) {
      this.activePage = this.$route.query.page;
    }
  },
  components: {
    Orders, Info
  }
}



</script>
<style lang="scss">
  #profile-view {
    min-height: 400px;
    margin-top: 70px;
    padding-top: 20px;
    padding-bottom: 30px;
    background-color: #fbfbfb;
    .profile-nav {
      padding: 0;
      margin: 0;
      list-style-type: none;
      display: flex;
      li {
        font-size: 16px;
        text-align: left;
        cursor: pointer;
        text-transform: uppercase;
        background-color: #fff;
        border: 1px solid rgba(0,0,0,.1);
        border-bottom: unset;
        border-right: unset;
        padding: 10px 5px;
        position: relative;
        min-width: 150px;
        height: 40px;
        div {
          text-align: center;
          line-height: 40px;
          z-index: 1000;
          position: absolute;
          background-color: #fff;
          letter-spacing: 1.2px;
          top: 0;
          bottom: 0;
          right: 0;
          left: 0;
          &.active {
            color: $maincolor;
            bottom: -3px;
          }
        }

        &:hover {
          color: gray;
        }

        &:last-child {
          border-right: 1px solid rgba(0,0,0,.1);
        }
      }
    }
    .profile-content {
      padding: 20px;
      background-color: #fff;
      border: 1px solid rgba(0,0,0,.1);
    }
  }
  @media (max-width: 992px) {
    #profile-view {
      margin-top: 0;
    }
  }
</style>